#
# spec file for package patterns-non_oss
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with betatest

Name:           patterns-non_oss
Version:        20170319
Release:        1.53
Summary:        Misc. Proprietary Packages
License:        MIT
Group:          Metapackages
Url:            https://github.com/openSUSE/patterns
Source0:        %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  patterns-rpm-macros

%pattern_proprietarysoftware
Provides:       pattern() = non_oss
Provides:       pattern-icon() = yast-addon
Provides:       pattern-order() = 3120
Provides:       pattern-visible()
Requires:       pattern() = x11
Recommends:     pattern() = non_oss_opt
Provides:       patterns-openSUSE-non_oss = %{version}
Obsoletes:      patterns-openSUSe-non_oss < %{version}

%description
Packages that are proprietary and not under an Open Source license

%files
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/non_oss.txt

%package -n patterns-non_oss_opt
%pattern_proprietarysoftware
Summary:        Misc. Proprietary Packages
Group:          Metapackages
Provides:       pattern() = non_oss_opt
Provides:       pattern-extends() = non_oss
Provides:       pattern-icon() = yast-addon
Provides:       pattern-order() = 3121
Requires:       pattern() = non_oss
Provides:       patterns-openSUSE-non_oss_opt = %{version}
Obsoletes:      patterns-openSUSe-non_oss_opt < %{version}
# from data/NON-OSS-OPT
Recommends:     unrar
Suggests:       poppler-data
%ifarch %ix86
Suggests:       antivir-gui
Suggests:       antivir
%endif
Suggests:       AdobeICCProfiles
Suggests:       acroread
Suggests:       atmel-firmware
Suggests:       ipw-firmware
%ifarch %ix86 x86_64
Suggests:       iscan-firmware
%endif
Suggests:       moneyplex
Suggests:       opera
Suggests:       FZFangSong
Suggests:       FZHeiTi
Suggests:       FZKaiTi
Suggests:       FZKaiTiB
Suggests:       FZMingTiB
# needed for instsys
Suggests:       FZSongTi

%description -n patterns-non_oss_opt
Packages that are proprietary and not under an Open Source license.

%files -n patterns-non_oss_opt
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/non_oss_opt.txt

%prep

%build

%install
mkdir -p %{buildroot}/%{_defaultdocdir}/patterns
for i in non_oss non_oss_opt; do
	echo "This file marks the pattern $i to be installed." \
		>"%{buildroot}/%{_defaultdocdir}/patterns/$i.txt"
done

%changelog
* Tue Jul 25 2017 tchvatal@suse.com
- Drop the fluendo gst plugin as it is no longer needed
* Sun May  7 2017 dleuenberger@suse.com
- Provide/Obsolete patterns-openSUSE-non_oss(_opt).
* Sun May  7 2017 dleuenberger@suse.com
- Initial package for non_oss patterns, was lost during migration
  to smaller split patterns.
